# H323Transactor::Request Class Reference

`#include <h323trans.h>`

Collaboration diagram for H323Transactor::Request:

[legend]

## Public Types

| AwaitingResponse
| ConfirmReceived
| RejectReceived
| TryAlternate
| BadCryptoTokens
| RequestInProgress
| NoResponseReceived
enum | { AwaitingResponse, ConfirmReceived, RejectReceived, TryAlternate, BadCryptoTokens, RequestInProgress, NoResponseReceived }

## Public Member Functions

| Request (unsigned seqNum, H323TransactionPDU &pdu)
| Request (unsigned seqNum, H323TransactionPDU &pdu, const H323TransportAddressArray &addresses)
PBoolean | Poll (H323Transactor &, unsigned numRetries=0, PTimeInterval timeout=0)
void | CheckResponse (unsigned, const PASN_Choice *)
void | OnReceiveRIP (unsigned milliseconds)

## Data Fields

unsigned | rejectReason
void * | responseInfo
H323TransportAddressArray | requestAddresses
unsigned | sequenceNumber
H323TransactionPDU & | requestPDU
PTimeInterval | whenResponseExpected
PSyncPoint | responseHandled
PMutex | responseMutex
enum H323Transactor::Request:: { ... } | responseResult

## Member Enumeration Documentation

anonymous enum

Enumerator:

  AwaitingResponse |
  ConfirmReceived |
  RejectReceived |
  TryAlternate |
  BadCryptoTokens |
  RequestInProgress |
  NoResponseReceived |

## Constructor & Destructor Documentation

H323Transactor::Request::Request | ( | unsigned | seqNum,
|  | H323TransactionPDU & | pdu |
| ) |  |  |

H323Transactor::Request::Request | ( | unsigned | seqNum,
|  | H323TransactionPDU & | pdu,
|  | const H323TransportAddressArray & | addresses |
| ) |  |  |

## Member Function Documentation

void H323Transactor::Request::CheckResponse | ( | unsigned | ,
|  | const PASN_Choice * |  |
| ) |  |  |

void H323Transactor::Request::OnReceiveRIP | ( | unsigned | milliseconds | ) |

PBoolean H323Transactor::Request::Poll | ( | H323Transactor & | ,
|  | unsigned | numRetries = `0`,
|  | PTimeInterval | timeout = `0` |
| ) |  |  |

## Field Documentation

unsigned H323Transactor::Request::rejectReason

H323TransportAddressArray H323Transactor::Request::requestAddresses

H323TransactionPDU& H323Transactor::Request::requestPDU

PSyncPoint H323Transactor::Request::responseHandled

void* H323Transactor::Request::responseInfo

PMutex H323Transactor::Request::responseMutex

enum { ... } H323Transactor::Request::responseResult

unsigned H323Transactor::Request::sequenceNumber

PTimeInterval H323Transactor::Request::whenResponseExpected

The documentation for this class was generated from the following file:

- h323trans.h